Bug 1266993 - restarting rpbind also restart the the nfs server
restarting rpbind also restart the the nfs server
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
: Regression
Depends On:
Blocks: 1279526
  Show dependency treegraph
 
Reported: 2015-09-28 14:43 EDT by Steve Dickson
Modified: 2017-03-07 05:53 EST (History)
4 users (show)

See Also:
Fixed In Version: nfs-utils-1.3.0-0.21.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1279526 (view as bug list)
Environment:
Last Closed: 2015-11-18 23:30:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2015-09-28 14:43:03 EDT
Description of problem:
bz1171603 introduce an regression that cause the starting
and stop of rpcbind  to cause the NFS servers to be
restarted as well...

The starting and stopping of rpcbind should be
independent of the NFS server especially in
NFS v4 only environments  

The starting of the NFS server should start rpcbind
but bring rpcbind down should not bring the NFS
server down. 

Version-Release number of selected component (if applicable):
Latest RHEL7.2 

How reproducible:
100%

Steps to Reproduce:
1. systemctl restart rpcbind

Additional info:
The fix
--- nfs-server.service.orig	2015-09-24 10:50:59.000000000 -0400
+++ nfs-server.service	2015-09-28 14:30:22.497552233 -0400
@@ -1,7 +1,7 @@
 [Unit]
 Description=NFS server and services
 DefaultDependencies=no
-Requires= network.target proc-fs-nfsd.mount rpcbind.service
+Requires= network.target proc-fs-nfsd.mount rpcbind.target
 Requires= nfs-mountd.service
 Wants=rpc-statd.service nfs-idmapd.service
 Wants=rpc-statd-notify.service
Comment 5 Yongcheng Yang 2015-09-30 05:33:44 EDT
There exist an issue: stooping of the NFS server can start rpcbind.
Don't know whether it make sense or not.

Steps to Reproduce:
1. service nfs start; service rpcbind stop; service rpcbind status
   ^^^^^^^^^^^^^^^^^ make sure nfs.service is active
2. service nfs stop; service rpcbind status
   ^^^^^^^^^^^^^^^^^ stopping nfs.service can start rpcbind.service

[root@ibm-x3650m4-08 ~]# rpm -q nfs-utils
nfs-utils-1.3.0-0.21.el7.x86_64
[root@ibm-x3650m4-08 ~]# service nfs start; service rpcbind stop; service rpcbind status
Redirecting to /bin/systemctl start  nfs.service
Redirecting to /bin/systemctl stop  rpcbind.service
Warning: Stopping rpcbind.service, but it can still be activated by:
  rpcbind.socket
Redirecting to /bin/systemctl status  rpcbind.service
● rpcbind.service - RPC bind service
   Loaded: loaded (/usr/lib/systemd/system/rpcbind.service; indirect; vendor preset: enabled)
   Active: inactive (dead) since Wed 2015-09-30 17:23:23 CST; 18ms ago
  Process: 20978 ExecStart=/sbin/rpcbind -w ${RPCBIND_ARGS} (code=exited, status=0/SUCCESS)
 Main PID: 20981 (code=exited, status=0/SUCCESS)

Sep 30 17:21:27 ibm-x3650m4-08.rhts.eng.pek2.redhat.com systemd[1]: Starting RPC bind service...
Sep 30 17:21:27 ibm-x3650m4-08.rhts.eng.pek2.redhat.com systemd[1]: Started RPC bind service.
Sep 30 17:23:23 ibm-x3650m4-08.rhts.eng.pek2.redhat.com systemd[1]: Stopping RPC bind service...
Sep 30 17:23:23 ibm-x3650m4-08.rhts.eng.pek2.redhat.com systemd[1]: Stopped RPC bind service.
[root@ibm-x3650m4-08 ~]# service nfs stop; service rpcbind status
Redirecting to /bin/systemctl stop  nfs.service
Redirecting to /bin/systemctl status  rpcbind.service
● rpcbind.service - RPC bind service
   Loaded: loaded (/usr/lib/systemd/system/rpcbind.service; indirect; vendor preset: enabled)
   Active: active (running) since Wed 2015-09-30 17:23:30 CST; 7ms ago
  Process: 21089 ExecStart=/sbin/rpcbind -w ${RPCBIND_ARGS} (code=exited, status=0/SUCCESS)
 Main PID: 21091 (rpcbind)
   CGroup: /system.slice/rpcbind.service
           └─21091 /sbin/rpcbind -w

Sep 30 17:23:30 ibm-x3650m4-08.rhts.eng.pek2.redhat.com systemd[1]: Starting RPC bind service...
Sep 30 17:23:30 ibm-x3650m4-08.rhts.eng.pek2.redhat.com systemd[1]: Started RPC bind service.
[root@ibm-x3650m4-08 ~]#
Comment 7 Steve Dickson 2015-09-30 07:34:00 EDT
(In reply to Yongcheng Yang from comment #5)
> There exist an issue: stooping of the NFS server can start rpcbind.
> Don't know whether it make sense or not.
> 
> Steps to Reproduce:
> 1. service nfs start; service rpcbind stop; service rpcbind status
>    ^^^^^^^^^^^^^^^^^ make sure nfs.service is active
> 2. service nfs stop; service rpcbind status
>    ^^^^^^^^^^^^^^^^^ stopping nfs.service can start rpcbind.servicer
rpcbind is started because one of the daemon tried to access it.

A while back systemd socket activation support was added which
means if a daemon tries to connect to port 111 systemd will
start rpcbind automaticly.

So this does make sense
Comment 9 errata-xmlrpc 2015-11-18 23:30:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2196.html

Note You need to log in before you can comment on or make changes to this bug.